FolksDummy.FullPersona.update_roles – folks-dummy Reference Manual

# update_roles

## Description:

public void update_roles (Set<RoleFieldDetails> roles)

Update persona's roles.

This simulates a backing-store-side update of the persona's Folks.RoleDetails.roles property. It is intended to be used for testing code which consumes this property. If the property value changes, this results in a property change notification on the persona.

## Parameters:

roles | persona's new roles

## Since:

0.9.7